View Issue Details

IDProjectCategoryView StatusLast Update
0001694FreeCADBugpublic2014-08-28 19:12
ReporterSimon.pasquetAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSUbuntu OS Version14.04.1 LTS
Product Version 
Target VersionFixed in Version0.15 
Summary0001694: customizing multiple keys shortcut doesn't work
DescriptionWhen you try to customize shortcuts with several keys in it, the second key erase the first.
It might be a bug because, wall in Arch s'workbench has the "wa" shortcut.
Steps To ReproduceGo to tool>customize>keyboard and press keys on "new shortcut"
Additional Informationthe function responsible of this is:
AccelLineEdit::keyPressEvent() in ./src/Gui/Widgets.cpp
the setText(tr("none")) line 372 erase the previous key.

OS: Ubuntu 14.04.1 LTS
Word size: 64-bit
Version: 0.15.3881 (Git)
Branch: master
Hash: 7665e34a3a844dc0e21aa86375ff9de1e632ec36
Python version: 2.7.6
Qt version: 4.8.6
Coin version: 4.0.0a
SoQt version: 1.6.0a
OCC version: 6.7.0
TagsNo tags attached.

Activities

yorik

2014-08-17 02:11

administrator   ~0004957

Indeed this dialgo has never been upgraded to use two-letters shortcuts. I'll have a look at how to do that (probably cycle through one letter -> two letters -> one letter etc...)

yorik

2014-08-17 15:50

administrator   ~0004958

Last edited: 2014-08-17 15:50

View 2 revisions

Reading your post at http://forum.freecadweb.org/viewtopic.php?f=10&t=7367&p=59678 , if you want to work on this, feel free to do it!

Simon.pasquet

2014-08-24 21:16

reporter  

multipleKeysShortcuts.patch (Attachment missing)

Simon.pasquet

2014-08-24 21:26

reporter   ~0005003

There is a patch to fix the bug.
I used:
$git format-patch master --stdout > multipleKeysShortcuts.patch
I don't know if it's the right way to do it, nor the right place to post it.

yorik

2014-08-24 22:48

administrator   ~0005004

Ok, looks cool! I'll test it

Related Changesets

FreeCAD: master 55cf9dde

2014-08-26 15:31:54

Simon.pasquet


Committer: yorik Details Diff
Customized keyboard shortcuts now accept up to 4 keys Affected Issues
0001694
mod - src/Gui/Widgets.cpp Diff File
mod - src/Gui/Widgets.h Diff File

Issue History

Date Modified Username Field Change
2014-08-16 22:33 Simon.pasquet New Issue
2014-08-17 02:11 yorik Note Added: 0004957
2014-08-17 02:11 yorik Assigned To => yorik
2014-08-17 02:11 yorik Status new => assigned
2014-08-17 15:50 yorik Note Added: 0004958
2014-08-17 15:50 yorik Note Edited: 0004958 View Revisions
2014-08-24 21:16 Simon.pasquet File Added: multipleKeysShortcuts.patch
2014-08-24 21:26 Simon.pasquet Note Added: 0005003
2014-08-24 22:48 yorik Note Added: 0005004
2014-08-28 19:12 yorik Changeset attached => FreeCAD Master master 55cf9dde
2014-08-28 19:12 yorik Status assigned => closed
2014-08-28 19:12 yorik Resolution open => fixed
2014-08-28 19:12 yorik Fixed in Version => 0.15